Subject: Re: Using netconsole and getting double prints

From: Patrick McHardy <[email-masked]>
Date: Fri, 06 Nov 2009 17:38:20 +0100

Luis R. Rodriguez wrote:
> I'm getting double prints when using netconsole. This used to happen
> to me and then I just enable debugging log level manually (dmesg -n 8)
> but now no matter what I try I always get double prints.
> 
> For example:
> 
> [   23.425448] console [netcon0] enabled
> [   23.425567] netconsole: network logging started
> [   23.425448] console [netcon0] enabled
> [   23.425567] netconsole: network logging started
> [   32.856073] eth0: no IPv6 routers present
> [   32.856073] eth0: no IPv6 routers present
> [   66.307342] kmemleak: 6 new suspected memory leaks (see
> /sys/kernel/debug/kmemleak)
> [   66.307342] kmemleak: 6 new suspected memory leaks (see
> /sys/kernel/debug/kmemleak)
> 
> Instead of dmesg -8 I'm now using ignore_loglevel as a kernel
> parameter but I still get double prints. This also happens if I use
> "debug" as a kernel parameter instead.
> 
> The netconsole is set up on the dev box as follows through an /etc/rc.local
> 
> dhclient eth0
> IP=192.168.2
> # sudo dmesg -n 8
> modprobe netconsole netconsole=@/eth0,6666@${IP}/

Without a MAC address netconsole broadcasts the messages.
So I'd guess the receiving system has multiple NICs and
receives the message multiple times.